<style scoped>
.unqualifiedBox{
    width: 100%;
    max-height: 100%;
    display: flex;
    flex-direction: column;
    overflow-y: scroll;
}
  .unqualifiedBox .title .el-button {
    height: 32px;
    border: 1px solid rgba(190, 190, 190, 0.44);
    box-shadow: 0px 2px 4px rgba(220, 220, 220, 0.41);
    padding: 0 12px;
  }
  .unqualifiedBox .title {
    margin-bottom: 10px;
    padding: 0 20px;
  }
/* 条件查询头部样式 */
  .choose {
    padding: 21px 24px;
    display: flex;
    align-items: center;
    background-color: #fff;
    border-bottom: 3px solid rgb(245, 247, 251);
  }

  .choose * {
    font-size: 14px;
  }

  .choose .el-button {
    height: 32px;
    border: 1px solid rgba(190, 190, 190, 0.44);
    box-shadow: 0px 2px 4px rgba(220, 220, 220, 0.41);
    padding: 0 12px;
  }
  /* 不合格表格样式 */
  .unqualifiedTable{
    flex: 1;
    background: #fff;
    margin-top: 11px;
    padding: 23px 21px;
  }
</style>

<template>
<div class="unqualifiedBox">
    <div class="title">
      <el-row>
        <el-col :span="12" style="line-height: 32px;">原材料不合格</el-col>
        <el-col :span="12" style="text-align: right;">
          <el-button icon="el-icon-download" @click="()=>{}">导出</el-button>
        </el-col>
      </el-row>
    </div>
    <div class="choose">
      <span>处理状态：</span>
      <el-select v-model="search.insState" size="small" placeholder="请选择" style="width: 224px;margin-right: 30px;">
        <el-option label="已处理" :value="2"></el-option>
        <el-option label="待处理" :value="0"></el-option>
      </el-select>
      <span>来料日期：</span>
      <el-date-picker v-model="search.createTime" size="small" placeholder="请输入"
        style="width: 224px;margin-right: 30px;" clearable value-format="yyyy-MM-dd"></el-date-picker>
      <span>供应商：</span>
      <el-select v-model="search.insState" size="small" placeholder="请选择" style="width: 224px;margin-right: 30px;">
        <el-option label="全部" :value="2"></el-option>
        <el-option label="未检测" :value="0"></el-option>
        <el-option label="已检测" :value="1"></el-option>
      </el-select>
      <el-button size="mini" @click="clean()"><span>重 置</span></el-button>
      <el-button size="mini" type="primary" style="background: #004EA2;" @click="selectRawInspectsList()"><span>查
          询</span></el-button>
    </div>
    <div class="unqualifiedTable">
        <el-table :data="unqualifiedData" height="620">
            <el-table-column
                type="selection"
                width="55">
            </el-table-column>
            <el-table-column
                type="index"
                label="序号"
                width="60">
            </el-table-column>
            <el-table-column
                prop="name"
                label="缺陷名称"
                width="97">
            </el-table-column>
            <el-table-column
                prop="address"
                label="材料编码"
                width="141">
            </el-table-column>
            <el-table-column
                prop="name"
                label="材料名称"
                width="214">
            </el-table-column>
            <el-table-column
                prop="address"
                label="规格型号">
            </el-table-column>
            <el-table-column
                prop="address"
                label="单位"
                width="250">
            </el-table-column>
            <el-table-column
                prop="address"
                label="数量"
                width="75">
            </el-table-column>
            <el-table-column
                prop="address"
                label="报检日期"
                width="128">
            </el-table-column>
            <el-table-column
                prop="address"
                label="报检人"
                width="78">
            </el-table-column>
            <el-table-column
                prop="address"
                label="处理日期"
                width="120">
            </el-table-column>
            <el-table-column
                prop="address"
                label="处理状态"
                width="100">
            </el-table-column>
            <el-table-column
                prop="address"
                label="处理结果"
                width="100">
            </el-table-column>
            <el-table-column
                prop="address"
                label="操作"
                width="118">
            </el-table-column>
        </el-table>
        <el-col style="height: 50px;display: flex;align-items: center;justify-content: right;">
        <el-pagination
          :current-page="currentPage"
          :page-sizes="[10, 20, 30, 50]" 
          :page-size="pageSize" 
          layout="total, sizes, prev, pager, next, jumper"
          :total="countSize">
        </el-pagination>
      </el-col>
    </div>
</div>
</template>

<script>
export default {
    data() {
        return {
            // 搜索条件
            search:{},
            unqualifiedData:[
                {
                    date: '2016-05-02',
                    name: '王小虎',
                    address: '上海市'
                }, {
                    date: '2016-05-04',
                    name: '王小虎',
                    address: '上海市'
                }, {
                    date: '2016-05-01',
                    name: '王小虎',
                    address: '上海市'
                }, {
                    date: '2016-05-03',
                    name: '王小虎',
                    address: '上海市'
                }, {
                    date: '2016-05-04',
                    name: '王小虎',
                    address: '上海市'
                }, {
                    date: '2016-05-01',
                    name: '王小虎',
                    address: '上海市'
                }, {
                    date: '2016-05-03',
                    name: '王小虎',
                    address: '上海市'
                }, {
                    date: '2016-05-04',
                    name: '王小虎',
                    address: '上海市'
                }, {
                    date: '2016-05-01',
                    name: '王小虎',
                    address: '上海市'
                }, {
                    date: '2016-05-03',
                    name: '王小虎',
                    address: '上海市'
                }, {
                    date: '2016-05-04',
                    name: '王小虎',
                    address: '上海市'
                }, {
                    date: '2016-05-01',
                    name: '王小虎',
                    address: '上海市'
                }, {
                    date: '2016-05-03',
                    name: '王小虎',
                    address: '上海市'
                }
            ],
            countSize:1,
            pageSize:10,
            currentPage:1
        }
    },
}
</script>